<article class="morceau">
  <ul class="ariane">
    <?php $ariane_params = array("morceau" => $this->out["morceau"]["id"]); ?>
    <?php if(isset($this->out["album"]) && $this->out["album"]) : $ariane_params["album"] = $this->out["album"]["id"]; ?>
    <li><a href="<?php echo $this->url("sources/album/view", $ariane_params) ?>">
    <?php echo $this->out["album"]["titre"] ?>
    </a></li>
    <?php endif; ?>
    <?php if($this->out["morceau"]["reference"]) : ?>
    <li><span>r&eacute;f&eacute;rence &raquo;</span> <a href="<?php echo $this->out["morceau"]["reference"]["from"] ?>"><?php echo $this->out["morceau"]["reference"]["titre"] ?></a></li>
    <?php else : ?>
    <li><a href="<?php echo $this->url("sources/morceau/view", $ariane_params) ?>"><?php echo $this->out["morceau"]["titre"] ?></a></li>
    <?php endif; ?>
  </ul>
  <div class="clear"><!-- --></div>
  <header>
    <h1>
    <?php if($this->out["morceau"]["reference"]) : ?>
    <span>r&eacute;f&eacute;rence &raquo;</span> <?php echo $this->out["morceau"]["reference"]["titre"] ?>
    <?php else : ?>
    <?php echo $this->out["morceau"]["titre"] ?>
    <?php endif; ?>    
    </h1>
    <?php if($this->out["morceau"]["derivations"]) : ?>
    <span class="derivation">
      <span>d&eacute;rive de &raquo;</span>
      <?php $n = 0; foreach($this->out["morceau"]["derivations"] as $derivation) : ?>
      <?php echo $n ? ", " : "" ?><a href="<?php echo $derivation["from"] ?>"><?php echo $derivation["titre"] ?></a>
      <?php $n++; endforeach; ?>
    </span>
    <?php endif; ?>
  </header>

<?php

  if
  (    $this->out["morceau"]["image_uri"]
    && file_exists($this->out["morceau"]["image_uri"])
    && ($img_size = $data->img_size($this->out["morceau"]["image_uri"], 450, 450)) !== false
  ) :
//  $margin_top = floor((450 - $img_size["height"]) / 2);
  $margin_top = 10;
  $morceau_image_uri = $this->path("web").$this->out["morceau"]["image_uri"];
?>
<p class="logo_source">
  <img src="<?php echo $morceau_image_uri ?>"
       width="<?php echo $img_size["width"] ?>"
       height="<?php echo $img_size["height"] ?>"
       style="margin-top:<?php echo $margin_top ?>px"
       alt="" />
</p>
<?php endif; ?>

<div class="source_arbo">

<?php

  $morceau = $this->out["morceau"];
  $display_name = false;
  $url_params = array("morceau" => $morceau["id"]);

?>

<ul class="sources">
<?php

  $source = $morceau;
  $source["url"] = $this->url("sources/morceau/view", $url_params);
  require $this->out_file("views/sources/source.php");

?>
</ul>

<?php if($this->action_allowed("users/morceaux/add")) : ?>
<form action="<?php echo $this->url("users/morceaux/add"); ?>" method="post">
  <input type="hidden" name="button_derive" value="<?php echo $morceau["id"];?>" />
  <ul class="button_derive">
    <li><input type="submit" value="Publier une dérivation" /></li>
  </ul>
</form>
<?php endif; ?>

<?php if(isset($morceau["description"]) && !$display_name) : ?>
<div class="description">
  <?php echo $morceau["description"] ?>
</div>
<?php endif; ?>
<div class="clear"><!-- --></div>

</div>
</article>